features:
  secondary:
    - name: "Faster Geo replication performance for Projects"
      available_in: [premium, ultimate]
      gitlab_com: false
      documentation_link: 'https://docs.gitlab.com/ee/administration/geo/replication'
      reporter: fzimmer
      stage: enablement
      categories:
        - "Geo-replication"
        - "Disaster Recovery"
      epic_url: 'https://gitlab.com/groups/gitlab-org/-/epics/2851'
      description: | 
        GitLab Geo makes distributed teams work more efficiently, creating and maintaining a local copy of GitLab that reduces latency so they don't have to wait for files to download over long distances. In this update to Geo, we're improving how the database manages changes. To determine what needs to be replicated from the primary, Geo compares the tracking database to the read-only secondary database. If Geo’s
        database queries time out, data can’t be replicated successfully. In
        GitLab 13.2, we use a [new approach to synchronize Projects](https://gitlab.com/gitlab-org/gitlab/-/issues/212351), thereby
        eliminating the possibility of database statement timeouts. We also
        improved the way we remove data from secondary nodes for all data sources, which increases the overall scalability and performance of GitLab Geo. 

        These iterations bring us closer to removing Geo’s dependency on [Foreign Data Wrappers]((https://wiki.postgresql.org/wiki/Foreign_data_wrappers)), which were added for improved performance, but which make Geo more complex and harder to maintain.
